Bug 459173 - Review Request: python-peak-util-extremes - Production-quality 'Min' and 'Max' objects
Review Request: python-peak-util-extremes - Production-quality 'Min' and 'Max...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 459117 459177
  Show dependency treegraph
 
Reported: 2008-08-14 15:58 EDT by Luke Macken
Modified: 2016-09-19 22:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 10:00:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rcritten: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-08-14 15:58:22 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-peak-util-extremes.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-peak-util-extremes-1.1-1.fc9.src.rpm
Description: 
The peak.util.extremes module provides a production-quality implementation of
the Min and Max objects from PEP 326.  While PEP 326 was rejected for inclusion
in the language or standard library, the objects described in it are useful in
a variety of applications.  In PEAK, they have been used to implement generic
functions (in RuleDispatch and PEAK-Rules), as well as to handle scheduling and
time operations in the Trellis.  Because this has led to each project copying
the same code, we've now split the module out so it can be used independently.
Comment 1 Rob Crittenden 2008-09-08 10:45:53 EDT
The license is unclear. PSF should be Python to quiet rpmlint and you'll need to check with upstream to see what version of ZPL this is (probably 2.1 but not safe to assume).

The changelog has inconsistent numbering: 0.6-1 vs 1.1-1
Comment 3 Rob Crittenden 2008-09-09 22:35:46 EDT
Review:
+ package builds in mock
+ rpmlint is silent
+ source files match upstream.
34fc2c114b09e2cc331482d6cc4e4399  Extremes-1.1.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Compiler flags are honored correctly.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 4 Luke Macken 2008-09-10 20:53:07 EDT
New Package CVS Request
=======================
Package Name: python-peak-util-extremes
Short Description: Production-quality 'Min' and 'Max' objects
Owners: lmacken
Branches: F-8 F-9 EL-4 EL-5
Comment 5 Huzaifa S. Sidhpurwala 2008-09-11 01:04:03 EDT
cvs done
Comment 6 Luke Macken 2008-11-17 10:00:44 EST
This package has been imported a built.

Note You need to log in before you can comment on or make changes to this bug.